CREATE TABLE
IF NOT EXISTS t_person_json (
	id INT NOT NULL auto_increment COMMENT '主键',
	code VARCHAR(20) NOT NULL COMMENT '编码',
  pnidentity TEXT DEFAULT NULL COMMENT '个人身份信息',
  pnshareholder TEXT DEFAULT NULL COMMENT '个人股东信息',
  personname VARCHAR (255) NOT NULL COMMENT '姓名',
  documentno VARCHAR (255) NOT NULL COMMENT '文档号',
  create_date DATE NOT NULL COMMENT '创建的日期',
  create_time TIMESTAMP DEFAULT current_timestamp COMMENT '创建时间',
  update_time TIMESTAMP DEFAULT current_timestamp ON UPDATE current_timestamp COMMENT '修改时间',
	PRIMARY KEY (id),
	UNIQUE KEY UK_code (code)
) ENGINE = INNODB auto_increment = 1 DEFAULT charset = utf8 COMMENT '个人信息';