package com.usoft.credit.dal.mapper;

import com.usoft.credit.dal.entity.EnterpriseJson;
import com.usoft.credit.dal.entity.EnterpriseJsonWithBLOBs;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;

@Mapper
public interface EnterpriseJsonMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(EnterpriseJsonWithBLOBs record);

    int insertSelective(EnterpriseJsonWithBLOBs record);

    EnterpriseJsonWithBLOBs selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(EnterpriseJsonWithBLOBs record);

    int updateByPrimaryKeyWithBLOBs(EnterpriseJsonWithBLOBs record);

    int updateByPrimaryKey(EnterpriseJson record);

    EnterpriseJsonWithBLOBs findByCreateTime(@Param("date")Date date,
                                             @Param("enname")String enname,
                                             @Param("registerno")String registerno,
                                             @Param("creditcode")String creditcode);
}