package com.usoft.credit.modal;
import java.io.Serializable;
import java.util.Date;

/**
 * 企业查询信息
 * created by shicr on 2018/6/6
 **/

public class EnterpriseQuery implements Serializable {

    /**
     * 序列号
     */
    private static final long serialVersionUID = 1L;


    private Long id;

    /**
     * 企业名称
     */
    private String enname;

    /**
     * 企业工商注册号
     * @return
     */
    private String registerNo;


    /**
     * 企业社会信用代码/组织机构代码
     * @return
     */
    private String creditCode;


    /**
     * 查询的收费子报告类型ID
     */
    private String subreportIDs;


    /**
     * 查询原因ID
     */
    private Integer queryReasonID;

    /**
     * 引用ID
     */
    private String refID;

    /**
     * 查询时间
     * @return
     */
    private Date queryTime;

    public Date getQueryTime() {
        return queryTime;
    }

    public void setQueryTime(Date queryTime) {
        this.queryTime = queryTime;
    }

    public String getRegisterNo() {
        return registerNo;
    }

    public void setRegisterNo(String registerNo) {
        this.registerNo = registerNo;
    }

    public String getCreditCode() {
        return creditCode;
    }

    public void setCreditCode(String creditCode) {
        this.creditCode = creditCode;
    }

    public String getEnname() {
        return enname;
    }

    public void setEnname(String enname) {
        this.enname = enname;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getSubreportIDs() {
        return subreportIDs;
    }

    public void setSubreportIDs(String subreportIDs) {
        this.subreportIDs = subreportIDs;
    }

    public Integer getQueryReasonID() {
        return queryReasonID;
    }

    public void setQueryReasonID(Integer queryReasonID) {
        this.queryReasonID = queryReasonID;
    }

    public String getRefID() {
        return refID;
    }

    public void setRefID(String refID) {
        this.refID = refID;
    }
}
