package com.usoft.credit.modal;

import java.io.Serializable;

/**
 * 个人查询条件
 * created by shicr on 2018/6/19
 **/
public class PersonQuery implements Serializable {

    /**
     * 序列号
     */
    private static final long serialVersionUID = 1L;

    private Long id;

    /**
     * 被查询者姓名
     */
    private String name;

    /**
     * 被查询者证件号码
     */
    private String documentNo;

    /**
     * 查询的收费子报告类型ID
     */
    private String subreportIDs;


    /**
     * 查询原因ID
     */
    private Integer queryReasonID;

    /**
     * 引用ID
     */
    private String refID;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDocumentNo() {
        return documentNo;
    }

    public void setDocumentNo(String documentNo) {
        this.documentNo = documentNo;
    }

    public String getSubreportIDs() {
        return subreportIDs;
    }

    public void setSubreportIDs(String subreportIDs) {
        this.subreportIDs = subreportIDs;
    }

    public Integer getQueryReasonID() {
        return queryReasonID;
    }

    public void setQueryReasonID(Integer queryReasonID) {
        this.queryReasonID = queryReasonID;
    }

    public String getRefID() {
        return refID;
    }

    public void setRefID(String refID) {
        this.refID = refID;
    }
}
