CREATE TABLE
IF NOT EXISTS t_enterprise_json (
	id INT NOT NULL auto_increment COMMENT '主键',
	code VARCHAR(20) NOT NULL COMMENT '编码',
  encredit TEXT DEFAULT NULL COMMENT '企业信用信息',
  endept TEXT DEFAULT NULL COMMENT '企业债务信息',
  enexception TEXT DEFAULT NULL COMMENT '企业经营异常信息',
  enrisk TEXT DEFAULT NULL COMMENT '企业风险信息',
  enname VARCHAR (255) NOT NULL COMMENT '企业名称',
  registerno VARCHAR (255) NOT NULL COMMENT '工商注册号',
  creditcode VARCHAR (255) NOT NULL COMMENT '社会信用代码',
  create_date DATE NOT NULL COMMENT '创建的日期',
  create_time TIMESTAMP DEFAULT current_timestamp COMMENT '创建时间',
  update_time TIMESTAMP DEFAULT current_timestamp ON UPDATE current_timestamp COMMENT '修改时间',
	PRIMARY KEY (id),
	UNIQUE KEY UK_code (code)
) ENGINE = INNODB auto_increment = 1 DEFAULT charset = utf8 COMMENT '企业信息';