CREATE TABLE
IF NOT EXISTS t_log (
	id INT NOT NULL auto_increment COMMENT '主键',
	code VARCHAR(20) NOT NULL COMMENT '日志编码',
  log_message VARCHAR(255) DEFAULT NULL COMMENT '日志信息',
  log_title VARCHAR(255) DEFAULT NULL COMMENT '日志标题',
  log_type VARCHAR(255) NOT NULL COMMENT '查询的类型, enterprise/person',
  create_time TIMESTAMP DEFAULT current_timestamp COMMENT '创建时间',
  update_time TIMESTAMP DEFAULT current_timestamp ON UPDATE current_timestamp COMMENT '修改时间',
	PRIMARY KEY (id),
	UNIQUE KEY UK_code (code)
) ENGINE = INNODB auto_increment = 1 DEFAULT charset = utf8 COMMENT '查询日志表';