CREATE TABLE
IF NOT EXISTS t_user (
	id INT NOT NULL auto_increment COMMENT '主键',
	code VARCHAR(20) NOT NULL COMMENT '用户编码',
	enuu INT(11) NOT NULL COMMENT 'enuu',
  password VARCHAR(255) NOT NULL COMMENT '用户密码',
  useruu INT(11) NOT NULL COMMENT 'useruu',
  create_time TIMESTAMP DEFAULT current_timestamp COMMENT '创建时间',
  update_time TIMESTAMP DEFAULT current_timestamp ON UPDATE current_timestamp COMMENT '修改时间',
	PRIMARY KEY (id),
	UNIQUE KEY UK_code (code)
) ENGINE = INNODB auto_increment = 1 DEFAULT charset = utf8 COMMENT '允许访问用户信息表';